Package com.trilead.ssh2.signature

# Class RSAPublicKey

java.lang.Object
com.trilead.ssh2.signature.RSAPublicKey

public class RSAPublicKey extends Object
RSAPublicKey.

## Constructor Summary

Constructors
Constructor
Description
`RSAPublicKey(BigInteger e, BigInteger n)`

## Method Summary

Modifier and Type
Method
Description
`BigInteger`
`getE()`
`BigInteger`
`getN()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### RSAPublicKey

public RSAPublicKey(BigInteger e, BigInteger n)

## Method Details

### getE

public BigInteger getE()

### getN

public BigInteger getN()